local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireRoom = ____shouldFire.shouldFireRoom
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostNewRoomReordered = __TS__Class()
local PostNewRoomReordered = ____exports.PostNewRoomReordered
PostNewRoomReordered.name = "PostNewRoomReordered"
__TS__ClassExtends(PostNewRoomReordered, CustomCallback)
function PostNewRoomReordered.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireRoom
    self.featuresUsed = {ISCFeature.GAME_REORDERED_CALLBACKS}
end
return ____exports
